#############################################################################  
#                                                                           #
# Fichiers des dfinitions des exceptions                                   #
#                                                                           #
#############################################################################  

$MOT = "[a-zA-Z\'\-_]+";  

$EXCEPTION_QUANT = "($MOT\/SBC:(_|m|f):(_|s|p)\/(plupart|multitude|partie|peu|quantit|majorit|foule|nombre|masse))"; 

$EXCEPTION_PREP = "($MOT\/SBC:(_|m|f):(_|s|p)\/(terme|sein|but|moyen|vue|cas|place|charge|voie|lieu|environ|fin|niveau|base|fonction))"; 

# exceptions prefixe
%EXCEPTION_PREF = 
    (
     "de" => \%EXCEPTION_PREF_DE,
     "d" => \%EXCEPTION_PREF_DEAIGU,
     "trans" => \%EXCEPTION_PREF_TRANS,
     "re" => \%EXCEPTION_PREF_RE,
     "r" => \%EXCEPTION_PREF_REAIGU,
     "sur" => \%EXCEPTION_PREF_SUR,
     "in" => \%EXCEPTION_PREF_IN,
     "inter" => \%EXCEPTION_PREF_INTER,
     "para" => \%EXCEPTION_PREF_PARA,
     "pro" => \%EXCEPTION_PREF_PRO,
     "pr" => \%EXCEPTION_PREF_PREAIGU
     );

# exceptions suffixe
%EXCEPTION_SUFF = 
    (
     );


%EXCEPTION_PREF_DE=();
%EXCEPTION_PREF_DEAIGU=
    (
     "dcomposition" => "composition",
     "dformation" => "formation"
     );

%EXCEPTION_PREF_TRANS=
    (
     "transformation"=>"formation"
     );

%EXCEPTION_PREF_RE=
    (
     "reconnaissance"=>"connaissance",
     "refraction"=>"fraction",
     "reprsentation"=>"prsentation",
     "reproduction"=>"production",
     "revue"=>"vue"
     );

%EXCEPTION_PREF_REAIGU=
    (
     "raction"=>"action",
     "ractivit"=>"activit",
     "rflexion"=>"flexion",
     "rsolution"=>"solution"
     );


%EXCEPTION_PREF_SUR=
    (
     "surface"=>"face"
     );

%EXCEPTION_PREF_IN=
    (
     "information"=>"formation"
     );

%EXCEPTION_PREF_INTER=
    (
     "interface"=>"face",
     "intersection"=>"section"
     );

%EXCEPTION_PREF_PARA=
    (
     "paragraphe"=>"graphe",
     "paraphrase"=>"phrase",
     "parasite"=>"site"
     );

%EXCEPTION_PREF_PRO=
  (
     "proposition"=>"position",
     "proposer"=>"poser"
     );

%EXCEPTION_PREF_PREAIGU=
  (
     "prposition"=>"position"
     );
